#!/bin/sh

echo "post-install"

# App Central extend timeout, but the timeout seems be counted from post-install, not pre-install, so move "docker pull" to post-install.

docker pull lscr.io/linuxserver/librespeed:latest

echo "Completed docker pull"


CONTAINER_TEST=$(docker container ls -a | grep LibreSpeed | awk '{print $1}')

if [ ! -z $CONTAINER_TEST ]; then
	docker rm -f $CONTAINER_TEST
fi


C_UID=$(id -u admin)
ADMIN_GID=$(id -g admin)

docker create -i -t --name=LibreSpeed \
	-p 32180:80 -p 32443:443 \
	-e PUID=$C_UID -e PGID=$ADMIN_GID \
	-e PASSWORD=lsstpassword \
	-v /etc/localtime:/etc/localtime:ro \
	-v /share/Docker/LibreSpeed/config:/config:rw \
	--restart unless-stopped \
	lscr.io/linuxserver/librespeed:latest


docker start LibreSpeed


case "$APKG_PKG_STATUS" in
	install)
		;;
	upgrade)
		oldim=$(docker images | grep lscr.io/linuxserver/librespeed | grep none | awk '{print $3}')
		echo $oldim
		
		if [ ! -z $oldim ]; then 
			docker rmi -f $oldim
		fi
		;;
	*)
		;;
esac

# The followings can be removed from next release.
imold=$(docker images | grep linuxserver/librespeed | grep latest | awk '{print $3}')
echo $imold
		
if [ ! -z $imold ]; then 
	docker rmi -f $imold
fi

exit 0
